<?php

$dont_close_session = true;
require_once '../../AccessControl.php';

if($must_load_version_check){
	include_once "../../version_check.php";
}

if (isset($profile)) {
	if ($profile->profileloaded) {
		// make sure the profile is of adequate version to be used.
		if ($profile->structure_version < CURRENT_PROFILE_STRUCTURE_VERSION) {                
			updateDataTableForProfile($profile);
			$profile->Load($profile->profilename); // Load the profile again to apply any changes
		}
	}
}
?>